{
    attributes = (
        {
            allowsNull = N; 
            columnName = "COM_ORDRE"; 
            name = comOrdre; 
            prototypeName = id; 
        }, 
        {
            allowsNull = N; 
            columnName = "EXE_ORDRE"; 
            name = exeOrdre; 
            prototypeName = id; 
        }, 
        {
            columnName = "RECO_DATE_CREATION"; 
            externalType = DATE; 
            name = recoDateCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "RECO_MONTANT"; 
            externalType = NUMBER; 
            name = recoMontant; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {columnName = "RECO_NB"; name = recoNb; prototypeName = intNumber; }, 
        {columnName = "RECO_NUMERO"; name = recoNumero; prototypeName = intNumber; }, 
        {
            allowsNull = N; 
            columnName = "RECO_ORDRE"; 
            name = recoOrdre; 
            prototypeName = id; 
        }, 
        {
            allowsNull = N; 
            columnName = "TREC_ORDRE"; 
            name = trecOrdre; 
            prototypeName = id; 
        }, 
        {
            allowsNull = N; 
            columnName = "UTL_ORDRE"; 
            name = utlOrdre; 
            prototypeName = id; 
        }
    ); 
    attributesUsedForLocking = (comOrdre, recoNb, recoNumero, recoOrdre); 
    className = "org.cocktail.fwkcktlcompta.server.metier.EORecouvrement"; 
    classProperties = (
        recoDateCreation, 
        recoMontant, 
        recoNb, 
        recoNumero, 
        toComptabilite, 
        toExercice, 
        toPrelevementFichiers, 
        toSepaSddEcheances, 
        toTypeRecouvrement, 
        toUtilisateur
    ); 
    externalName = "maracuja.RECOUVREMENT"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            recoDateCreation, 
            recoMontant, 
            recoNb, 
            recoNumero, 
            toComptabilite, 
            toExercice, 
            toPrelevementFichiers, 
            toSepaSddEcheances, 
            toTypeRecouvrement, 
            toUtilisateur
        ); 
        "_javaClientClassName" = "org.cocktail.fwkcktlcompta.client.metier.EORecouvrement"; 
    }; 
    name = "FwkCktlCompta_Recouvrement"; 
    primaryKeyAttributes = (recoOrdre); 
    relationships = (
        {
            destination = "FwkCktlCompta_Comptabilite"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = comOrdre; sourceAttribute = comOrdre; }); 
            name = toComptabilite; 
        }, 
        {
            destination = "FwkCktlCompta_JefyAdmin_Exercice"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = toExercice; 
        }, 
        {
            destination = "FwkCktlCompta_PrelevementFichier"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = recoOrdre; sourceAttribute = recoOrdre; }); 
            name = toPrelevementFichiers; 
        }, 
        {
            destination = "FwkCktlCompta_SepaSddEcheance"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = recoOrdre; sourceAttribute = recoOrdre; }); 
            name = toSepaSddEcheances; 
        }, 
        {
            destination = "FwkCktlCompta_TypeRecouvrement"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = trecOrdre; sourceAttribute = trecOrdre; }); 
            name = toTypeRecouvrement; 
        }, 
        {
            destination = "FwkCktlCompta_JefyAdmin_Utilisateur"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = utlOrdre; sourceAttribute = utlOrdre; }); 
            name = toUtilisateur; 
        }
    ); 
}
